Bug 820620 - [RFE] Katello should have a stop all services script or master rc script
[RFE] Katello should have a stop all services script or master rc script
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: FutureFeature, Reopened, Triaged
Depends On: 820276
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 10:02 EDT by Eric Sammons
Modified: 2014-03-12 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 820276
Environment:
Last Closed: 2014-03-12 06:24:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-05-10 10:02:40 EDT
+++ This bug was initially created as a clone of Bug #820276 +++

Description of problem:
Stopping and starting Katello is difficult today with our current init system that leverage rc scripts to start and stop services.  It would be helpful if katello included one master rc script that could be leveraged to stop, start, restart all.

Steps to Reproduce:
1. service katello-all [stop|start|restart]

Additional info:
This would be very useful in cases of upgrades as well where services must be stopped first.

Also, worth considering a stop and start services call to katello-upgrade so the sys admin doesn't have to think about this.
Comment 1 Lukas Zapletal 2012-05-15 05:29:35 EDT
Rather than sysvinit service, I'd stick with approach of having a script /sbin/katello-service.

Pulp is using this concept of "meta service" and it's causing pains in the puppet.

Satellite has the separate script and I think it works well.
Comment 2 Mike McCune 2012-05-30 11:19:37 EDT
agreed with the script mentioned in Comment 1
Comment 3 Tom McKay 2012-09-19 11:22:31 EDT
@Eric, are you alright with solution of katello-service script? Close or comment.
Comment 4 Tom McKay 2012-10-24 15:06:53 EDT
katello-service script exists
Comment 5 Mike McCune 2013-09-19 22:30:00 EDT
This bug was mistakenly closed during a triage process.  Moving back to MODIFIED or ON_QA depending
Comment 6 Lukas Zapletal 2014-03-12 06:24:46 EDT
The bug was closed properly.
Comment 7 Bryan Kearney 2014-03-12 18:53:23 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.